Subject: bug#55387: 28.1.50; csv-mode: header does not align when line numbers are displayed

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 May 2022 08:17:08 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 13 May 2022 19:40:34 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I know.  We would introduce such a variable and (offer to) use it in
> >> header-line-mode.
> >
> > That's impossible, because the value depends on the buffer position.
> 
> We only care about the value of the first (displayed) line after the
> header line, so the new variable would only be updated when we're
> computing that line.  I.e., line 1.

Maybe in this particular mode, but it isn't always true.

And I don't really understand what will such a variable solve.  If
some Lisp program can use a value of a variable, it can also call a
function and use its return value, no?

(In any case, we cannot provide a simple variable, because the value
depends on the window -- if the same buffer is displayed in several
windows, the value could be different in each one of those windows.)